package com.sunxung.factoring.mapper.loanmanagement;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.loanmanagement.ExemptionMatters;
import com.sunxung.factoring.entity.project.vo.BusinessProcessingTaskVo;
import com.sunxung.factoring.entity.project.vo.SearchBusinessProcessingTask;
import org.apache.ibatis.annotations.Mapper;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 豁免事项跟进和付款关系表 Mapper 接口
 * </p>
 *
 * @author liutao
 * @since 2023-04-25
 */
@Mapper
public interface ExemptionMattersMapper extends BaseMapper<ExemptionMatters> {

    List<BusinessProcessingTaskVo> findBySearch(SearchBusinessProcessingTask search);

    List<ExemptionMatters> getByPayBasicId(Long payBasicId);

    List<ExemptionMatters> getByCreditSubject(String socialCreditCode);

    ExemptionMatters getExemptionMattersById(Long id);

    List<ExemptionMatters> findAllByDate(Date date);
}
